
local playerClass = select(2,UnitClass("player"));

local function FeignDeath_onEvent(this, event, arg1)
	if event == "UI_ERROR_MESSAGE" then
		if arg1 == "저항함" then
			UIErrorsFrame:Clear();
			UIErrorsFrame:AddMessage("|c0018FF18죽은척하기 |c00ffff00저항!! |c00F58CBA죽은척하기 |c00FF0000저항!!", UIERRORS_HOLD_TIME);
			UIErrorsFrame:AddMessage("|c0018FF18죽은척하기 |c00ffff00저항!! |c00F58CBA죽은척하기 |c00FF0000저항!!", UIERRORS_HOLD_TIME);
			PlaySound("RaidWarning");
			--PlaySoundFile("Sound\\Spells\\Clearcasting_Impact_Chest.wav");	-- 정신 집중 사운드
		end
	end
end


if (playerClass == "HUNTER")then
	local Deathframe = CreateFrame("Frame", "HSFeignDeathFrame");
	Deathframe:SetScript("OnEvent", FeignDeath_onEvent);
	Deathframe:RegisterEvent("UI_ERROR_MESSAGE");
end

